<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1-1/css/bootstrap.css"/>

    <title th:text="#{database.entries(${database.name})}">Entries</title>
</head>
<body>
<div layout:fragment="content">
    <table class="table table-bordered table-striped">
        <thead>
        <tr>
            <th>url</th>
            <th>doi</th>
            <th>edit</th>
            <th>notes</th>
            <th>file</th>
            <th>Type</th>
            <th>Authors</th>
            <th>Title</th>
            <th>Year</th>
        </tr>
        </thead>
        <tbody>
        <th:block th:each="entry: ${entries}">
            <tr>
                <td>
                    <div th:if="${entry.url}">
                        <a th:href="@{{url}(url=${entry.url})}">url</a>
                    </div>
                </td>
                <td>
                    <div th:if="${entry.doi}">
                        <a th:href="@{{doi}(doi=${'https://doi.org/'+entry.doi})}">doi</a>
                    </div>
                </td>
                <td>
                    <a th:href="@{/databases/{database}/entries/{id}/edit(database=${database.id},id=${entry.id})}">edit</a>
                </td>
                <td><a th:href="@{/databases/{database}/entries/{id}/comments(database=${database.id},id=${entry.id})}">notes</a>
                </td>
                <td>
                    <a th:href="@{/databases/{database}/entries/{id}/file(database=${database.id},id=${entry.id})}">file</a>
                </td>
                <td th:text="${entry.type}">Type</td>
                <td th:text="${entry.authors}">Authors</td>
                <td th:text="${entry.title}">Title</td>
                <td th:text="${entry.year}">Year</td>
            </tr>
            <tr>
                <td colspan="5"></td>
                <td colspan="4" th:text="${entry.abstrct}">Abstract</td>
            </tr>
        </th:block>
        </tbody>
        <tfoot>
        <tr>
            <td colspan="9">
                <ul>
                    <li th:each="type: ${types}">
                        <a th:href="@{/databases/{database}/entries/create/{type}(database=${database.id},type=${type})}"
                           th:text="'create new '+${type}">create
                            new</a>
                    </li>
                    <li><a th:href="@{/databases/{database}/import/ris(database=${database.id})}">Import RIS</a></li>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="9">
                <a href="#" th:href="@{/databases/{database}/export/bib(database=${database.id})}">Export BibTeX
                    file</a>
            </td>
        </tr>
        </tfoot>
    </table>
</div>
</body>
</html>